Subject: Bug#752: x2go windows client garbles local audio

From: "Hopkins, Bill" <[email-masked]>
Date: Tue, 20 Jan 2015 18:22:54 +0000

Package: X2Go Client

Version: V.4.0.2.0 (Qt - 4.8.5)

There was no error message associated with the problem.

To bring on the problem, all I have to do is start the X2Go client; it does not require me connecting to a server.

I am listening to streaming audio on my laptop, with the audio going to a speaker system with subwoofer. When I start up the X2Go client, it switches the audio output device to the lame laptop speakers. I can make the audio go back to the nice speakers by unplugging the audio cable and plugging it back in. However, the sound is then slight distorted; the level of distortion varies periodically, and it becomes so bad that the music is almost completely replace by static.

The laptop is running Windows 7 Professional (it remains up-to-date via Microsoft Tuesday Patches). The laptop is a Dell Studio 1558, with a quad-core i5 processor, 8 GB memory, 256GB SSD.

Since the problem occurs without a connection, the version of the server software is irrelevant.

Two connections are configured, both with audio disabled (which is why I'm wondering why the client is messing with the audio at all).

By the way, I tried using reportbugs on my server, but Ubuntu takes umbrage, and I didn't think you wanted the report sent to Debian (which is what it seems to want me to do). So I used the email option.

Thanks! Great product. Most responsive remote desktop product I've used.